Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class DeviceCapabilities

    java.lang.Object
      org.teleal.cling.support.model.DeviceCapabilities

    public class DeviceCapabilities

extends Object

Author:
  Christian Bauer

Constructor Summary
`DeviceCapabilities(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)`
`DeviceCapabilities(StorageMedium[] playMedia)`
`DeviceCapabilities(StorageMedium[] playMedia, StorageMedium[] recMedia, RecordQualityMode[] recQualityModes)`

Method Summary
`StorageMedium[]` | `getPlayMedia()`
`String` | `getPlayMediaString()`
`StorageMedium[]` | `getRecMedia()`
`String` | `getRecMediaString()`
`RecordQualityMode[]` | `getRecQualityModes()`
`String` | `getRecQualityModesString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceCapabilities

    public DeviceCapabilities(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)

### DeviceCapabilities

    public DeviceCapabilities(StorageMedium[] playMedia)

### DeviceCapabilities

    public DeviceCapabilities(StorageMedium[] playMedia,
                              StorageMedium[] recMedia,
                              RecordQualityMode[] recQualityModes)

Method Detail

### getPlayMedia

    public StorageMedium[] getPlayMedia()

### getRecMedia

    public StorageMedium[] getRecMedia()

### getRecQualityModes

    public RecordQualityMode[] getRecQualityModes()

### getPlayMediaString

    public String getPlayMediaString()

### getRecMediaString

    public String getRecMediaString()

### getRecQualityModesString

    public String getRecQualityModesString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.